#include <iostream>
#include <string>
#include <vector>
#include <map>

using namespace std;

typedef map<string,int>::iterator msfi;

int main()
{
	cout.precision(2);
        cout.setf(ios::fixed);
	for(;;)
	{
		int pocet_uctu;
		cin >> pocet_uctu;
		if(pocet_uctu == 0)
		{
			cout << "goodbye" << endl;
			return 0;
		}
		map<string,int> banka;
		for(int i=0;i<pocet_uctu;i++)
		{
			string ucet;
			int val1,val2;
                        char x;
			cin >> ucet >> val1 >> x >> val2;
			banka.insert(pair<string,int>(ucet,val1*100+val2));
                        // TEST
                        //msfi u = banka.find(ucet);
                        //cout << "!!! zustatek " << ucet << " : "<<u->second<<endl;
		}
		// WORKING
		for(;;)
		{
			string akce;
			string ucet;
                        string ucet2;
			int castka1,castka2;
                        int castka;
                        char x;
			cin >> akce;
			if(akce == "end")
			{
				cout << "end" << endl << endl;
				break;
			}
			cin >> ucet;
			if(akce == "create")
			{
				msfi u = banka.find(ucet);
				if(u == banka.end())
				{
					banka.insert(pair<string,int>(ucet,0));
					cout << "create: ok" <<endl;
				}
				else
					cout << "create: already exists"<<endl;
			}
			else
			{
				if(akce=="transfer")
				{
					cin >> ucet2 >> castka1>>x>>castka2;
                                        castka = castka1*100+castka2;
                                        msfi u1 = banka.find(ucet);
                                        msfi u2 = banka.find(ucet2);
                                        if(u1 != banka.end() && u2 != banka.end())
                                        {
                                          if(u1 == u2)
                                          {
                                            cout << "transfer "<<(castka/100.0)<<": same account"<<endl;
                                          }
                                          else if(u1->second >= castka)
                                          {
                                            u1->second -= castka;
                                            u2->second += castka;
                                            cout << "transfer "<<(castka/100.0)<<": "<<
                                               (ucet[ucet.size()-1] == ucet2[ucet2.size()-1] ? "ok":"interbank")
                                                <<endl;
                                          }
                                          else
                                            cout << "transfer "<<(castka/100.0)<<": insufficient funds"<<endl;
                                        }
                                        else
                                          cout << "transfer "<<(castka/100.0)<<": no such account"<<endl;
				}
				else
				{
					cin >> castka1 >> x >> castka2;
                                        castka = castka1*100+castka2;
					if(akce == "withdraw")
					{
						msfi u = banka.find(ucet);
						if(u != banka.end())
						{
							if(u->second >= castka)
							{
								u->second -= castka;
                                                                cout << "withdraw "<<(castka/100.0)<<": ok"<<endl;
							}
							else
                                                          cout << "withdraw "<<(castka/100.0)<<": insufficient funds"<<endl;
                                                        // TEST
                                                        //cout << "!!! zustatek " << ucet << " : "<<u->second<<endl;
						}
						else
                                                  cout << "withdraw "<<(castka/100.0)<<": no such account"<<endl;
					}
					else if(akce == "deposit")
					{
						msfi u = banka.find(ucet);
						if(u != banka.end())
						{
							u->second += castka;
                                                        cout << "deposit "<<(castka/100.0)<<": ok"<<endl;
                                                        // TEST
                                                        //cout << "!!! zustatek " << ucet << " : "<<u->second<<endl;
						}
						else
                                                  cout << "deposit "<<(castka/100.0)<<": no such account"<<endl;
					}
				}
			}
		}
	}
	return 0;
}
